# $Revision: 1.23 $, $Date: 2007/02/13 07:47:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Unit
Summary:	Test::Unit Perl module
Summary(cs.UTF-8):	Modul Test::Unit pro Perl
Summary(da.UTF-8):	Perlmodul Test::Unit
Summary(de.UTF-8):	Test::Unit Perl Modul
Summary(es.UTF-8):	Módulo de Perl Test::Unit
Summary(fr.UTF-8):	Module Perl Test::Unit
Summary(it.UTF-8):	Modulo di Perl Test::Unit
Summary(ja.UTF-8):	Test::Unit Perl モジュール
Summary(ko.UTF-8):	Test::Unit 펄 모줄
Summary(nb.UTF-8):	Perlmodul Test::Unit
Summary(pl.UTF-8):	Moduł Perla Test::Unit
Summary(pt.UTF-8):	Módulo de Perl Test::Unit
Summary(pt_BR.UTF-8):	Módulo Perl Test::Unit
Summary(ru.UTF-8):	Модуль для Perl Test::Unit
Summary(sv.UTF-8):	Test::Unit Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Test::Unit
Summary(zh_CN.UTF-8):	Test::Unit Perl 模块
Name:		perl-Test-Unit
Version:	0.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bbd92a461996ae978ac378eae477bd79
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Class-Inner
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-Error
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional (for Test::Unit::TkTestRunner only)
# (or maybe create subpackage with TkTestRunner?)
%define		_noautoreq	'perl(Tk.*)'

%description
This framework is intended to support unit testing in an object-oriented
development paradigm (with support for inheritance of tests etc.) and
is derived from the JUnit testing framework for Java by Kent Beck and
Erich Gamma.

%description -l pl.UTF-8
Ten pakiet udostępnia szkielet do obsługi testów poszczególnych części
obiektowo zorientowanej aplikacji (z obsługą dziedziczenia testów, itp.).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf examples/README
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* AUTHORS
%attr(755,root,root) %{perl_vendorlib}/%{pdir}/*.pl
%{perl_vendorlib}/%{pdir}/*.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/%{pdir}/%{pnam}/*
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/p*
%{_examplesdir}/%{name}-%{version}/fail_example.pm
%{_examplesdir}/%{name}-%{version}/tester.png
%{_examplesdir}/%{name}-%{version}/[RE]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Unit.spec,v $
Revision 1.23  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2006/10/21 18:59:18  ankry
- ver. 0.25

Revision 1.20  2004/11/03 22:30:48  paladine
- formatting

Revision 1.19  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/06 17:57:01  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.15  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.14  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.13  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.11  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:34:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:40  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/01/15 11:12:28  qboosh
- tests on bcond, _noautoreq for perl-Tk*; release 3

Revision 1.3  2002/07/20 13:53:38  radek
- removed tests, so BRs became unnecessary.

Revision 1.2  2002/07/19 21:16:05  ankry
- translations, cleaning
- fixed file permissions
- added BRs
- release 2

Revision 1.1  2002/07/19 08:19:14  radek
- new, STBR
